-- Blitzkrieg Single Player
-- Operazione Crusader
-- Bir El Gobi, Egitto, Novembre 1941
-- Mappa creata da KAOZ // novembre 2006 > marzo 2007
-- Grazie a SciTE -- BK -- e ai mappers per le spiegazioni sui file .lua
------------------------------------------------------------------------

-- Debugz --------------------------------------------------------------

function DebugView()
	Password("Panzerklein"); 
	DisplayTrace("Test 123"); 
	ShowActiveScripts();
	God(0, 2); 
	Suicide(); 
end;

function Info()
	DisplayTrace("Bir El Gobi");
	DisplayTrace("Egitto, novembre 1941");
	DisplayTrace("Mappa by KAOZ");
	Suicide();
end;

-- Objectivez -----------------------------------------------------------
	
function RevealObjective0()
	ObjectiveChanged(0, 0);
	RunScript("Objective0", 1000);
	Suicide();
end;

function Objective0()
	local i = 0;
	if (GetNUnitsInScriptGroup(119, 1) <= 1) then
	ObjectiveChanged(0, 1);
	i = GetIGlobalVar("numbMissionDone", 0);
	i = i + 1;
	SetIGlobalVar("numbMissionDone", i);
	Suicide();
	end;
end;

function RevealObjective1()
	ObjectiveChanged(1, 0);
	RunScript("Objective1", 1000);
	Suicide();
end;

function Objective1()
	local i = 0;
	if (GetNUnitsInScriptGroup(120, 1) <= 1) then
	ObjectiveChanged(1, 1);
	i = GetIGlobalVar("numbMissionDone", 0);
	i = i + 1;
	SetIGlobalVar("numbMissionDone", i);
	Suicide();
	end;
end;

function ToLose()
	if ((GetNUnitsInArea(0, "birElGobi") <= 6) or
	(GetNUnitsInArea(0, "birElDleua") <= 6)) then
	Loose();
	Suicide();
	end;
end;

function ObjChange0()	
	if (GetIGlobalVar("numbMissionDone", 0) == 2) then
	RunScript("RevealObjective2", 1000);
	KillScript("ToLose");
	Suicide();
	end;
end;

function RevealObjective2()
	ObjectiveChanged(2, 0);
	RunScript("Objective2", 2000);
	Suicide();
end;

function Objective2()
	if (GetNUnitsInArea(1, "elCuasc") <= 3) then
	ObjectiveChanged(2, 1);
	RunScript("RevealObjective3", 1000);
	Suicide();
	end;
end;

function RevealObjective3()
	ObjectiveChanged(3, 0);
	RunScript("Objective3", 1000);
	Suicide();
end;

function Objective3()
	if (GetNUnitsInArea(1, "taibElEsem") == 0) then
	ObjectiveChanged(3, 1);
	Win(0);
	Suicide();
	end;
end;

-- Reportz --------------------------------------------------------------

function GerOff()
	DisplayTrace("Ufficiale tedesco: 'Abbiate pazienza,  in arrivo un maggiore supporto tedesco ...'");
	Suicide();
end;

function Reportz0()
	DisplayTrace("Rapporto italiano: 'Allarme! Sono stati individuati Crusader e Matilda inglesi che si dirigono verso Bir El Gobi! Preparatevi!'");
	Suicide();
end;

function Reportz1()
	DisplayTrace("Rapporto italiano: 'Allarme! Sono stati individuati Crusader e Matilda inglesi che si dirigono verso Bir El Dleua!'");
	Suicide();
end;

function Reportz2()
	DisplayTrace("Ufficiale tedesco: 'I vostri fratelli tedeschi sono qui'");
	Suicide();
end;

-- Reinforcementz -------------------------------------------------------

function Reinforce0()
	LandReinforcement(0);
	Suicide();
end;

-- Planez ---------------------------------------------------------------

function NoPlanez()
	DisableAviation(1, -1);
	Suicide();
end;

function CutPlanez()
	if (GetNUnitsInScriptGroup(121, 1) <= 1) then
	RunScript("NoPlanez", 1000);
	DisplayTrace("Rapporto italiano: Gli inglesi stanno perdendo il controllo... La Royal Air Force non voler pi...'");
	Suicide();
	end;
end;

function Para()
	Cmd(22, 996, 0, 7619, 1230);
	Suicide();
end;

-- Scriptz ---------------------------------------------------------------

function Init()
--	RunScript("DebugView", 1000);
	RunScript("Info", 1000);
	RunScript("RevealObjective0", 1000);
	RunScript("ObjChange0", 2000);
	RunScript("CutPlanez", 2000);
	RunScript("ToLose", 3000);
	RunScript("Para", 3000);
	RunScript("RevealObjective1", 4000);
	RunScript("Reportz0", 7000);
	RunScript("Reportz1", 17000);
	RunScript("GerOff", 27000);
	RunScript("Reinforce0", 49000);
	RunScript("Reportz2", 50000);
end;	



